/*
 * Log4JFugue - Application Sonification
 * Copyright (C) 2008-2009  Brian Tarbox
 *
 * http://www.log4jfugue.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

package org.log4jfugue;
import org.apache.log4j.Logger;


/**
 * Represents an instrument, which voice to play it in, and which log message 
 * causes the instrument to be played
 * @author brian tarbox
 *
 */
public class InstrumentVoice {
	Logger log = Logger.getLogger(InstrumentVoice.class);
	private int    voiceNumber;  // range is 0-15
	private String searchString;  // search for this string in the log message
	private String instrumentName;  // i.e. BASS_DRUM, PIANO, etc

	public InstrumentVoice() {
	}
	
	/**
	 * create a fully defined Instrument
	 * @param voiceNumber
	 * @param searchString
	 * @param instrumentName
	 */
	public InstrumentVoice(int voiceNumber, String searchString, String instrumentName) {
		this.voiceNumber    = voiceNumber;
		this.searchString   = searchString;
		this.instrumentName = instrumentName;
		log.info("creating InstrumentVoice number" + voiceNumber + " srch:" + searchString +
				" instrumentName " + instrumentName);
	}

	/**
	 * basic accessor
	 * @return
	 */
	public int getVoiceNumber() {
		return voiceNumber;
	}

	/**
	 * basic mutator
	 * @param voiceNumber
	 */
	public void setVoiceNumber(int voiceNumber) {
		this.voiceNumber = voiceNumber;
	}

	/**
	 * basic accessor
	 * @return
	 */
	public String getSearchString() {
		return searchString;
	}
	
	/**
	 * basic mutator
	 * @param voiceNumber
	 */
	public void setSearchString(String searchString) {
		this.searchString = searchString;
	}
	
	/**
	 * basic accessor
	 * @return
	 */
	public String getInstrumentName() {
		return instrumentName;
	}

	/**
	 * basic mutator
	 * @param voiceNumber
	 */
	public void setInstrumentName(String instrumentName) {
		this.instrumentName = instrumentName;
	}
}
