/*
 * Log4JFugue - Application Sonification
 * Copyright (C) 2008-2009  Brian Tarbox
 *
 * http://www.log4jfugue.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

package org.log4jfugue;
import java.io.*;
import org.apache.log4j.Logger;

/**
 * Thinking about how to do this.
 * Need to setup a SimpleSocketServer to listen for the socket messages.  This will in turn
 * use a SocketNode which is the class that deals with the messages themselves.  The default
 * SocketNode just turns around and relogs the message, but we'd instead just look at its
 * contents and call the message processor.
 * 
 * On the client side we'd setup the socket appender:
 *   # A1 is set to be a SocketAppender sending its output to the server running on the remote host, port 12345.
 *   log4j.appender.A1=org.apache.log4j.net.SocketAppender
 *   log4j.appender.A1.Port=4445
 *   log4j.appender.A1.RemoteHost=[IP_ADDRESS_SERVER]
 *
 * @author btarbox
 *
 */
public class Log4jAppenderDataGetter extends SimpleDataGetter {
	Logger log = Logger.getLogger(Log4jAppenderDataGetter.class);
	String fileName;
	
}
